#ifndef AUTOTESTS_WINDOWS_STUB_SHORTCUT_MODEL_H
#define AUTOTESTS_WINDOWS_STUB_SHORTCUT_MODEL_H

#include <QAbstractListModel>

#include "short-cut-manager.h"

namespace UkuiShortcut {

class ShortcutModel : public QAbstractListModel
{
    Q_OBJECT
public:
    explicit ShortcutModel(QObject *parent = nullptr);

    int rowCount(const QModelIndex &parent) const override;
    QVariant data(const QModelIndex &index, int role) const override;

Q_SIGNALS:
    void requestExecAction(UkuiShortcut::PluginMetaType::PredefinedAction action);
};

} // namespace UkuiShortcut

#endif
